package com.njcn.advance.service.govern.voltage;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.govern.voltage.SgMachineParam;
import com.njcn.advance.pojo.po.govern.voltage.SgMachine;
import com.njcn.advance.pojo.vo.govern.voltage.SgMachineVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-03-14
 */
public interface ISgMachineService extends IService<SgMachine> {

    Page<SgMachineVO> sgMachineListByProductLineId(SgMachineParam.SgMachineQueryParam sgMachineQueryParam);

    String addMachine(SgMachineParam sgMachineParam);

    boolean updateSgMachine(SgMachineParam.SgMachineUpdateParam updateParam);

    boolean deleteSgMachineData(List<String> ids);

    List<SgMachineVO> listAllMachineByProductLineId(String productLineId);

}
